%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%define enable_atlas 0
%define enable_doc 0
%define enable_test 0
%define module	scipy
%define Werror_cflags %nil

Name:		        python-%{module}
Version:        1.7.3
Release:        %mkrel 1
Summary:        Scientific tools for Python

License:        BSD and LGPLv2+
Group:		      Development/Python
Url:		        http://www.scipy.org
Source0:	      https://github.com/scipy/scipy/releases/download/v%{version}/%{module}-%{version}.tar.xz
Patch0:         scipy-fix-linking.patch

Obsoletes:      python-symeig <= %{version}%{release}

%if %enable_atlas
BuildRequires:	libatlas-devel
%else
BuildRequires:	blas-devel
BuildRequires:  cblas-devel
%endif
BuildRequires:  gcc-gfortran >= 4.0
BuildRequires:  lapack-devel
BuildRequires:  lapacke-devel
BuildRequires:  netcdf-devel
BuildRequires:  python3-cython
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-nose
BuildRequires:  python3-setuptools
BuildRequires:  suitesparse-common-devel
BuildRequires:  swig
%if %enable_doc
BuildRequires:  python-matplotlib
BuildRequires:  python-numpydoc
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  texlive
%endif

%description
SciPy is an open source library of scientific tools for Python. SciPy
supplements the popular numpy module, gathering a variety of high
level science and engineering modules together as a single
package. SciPy includes modules for graphics and plotting,
optimization, integration, special functions, signal and image
processing, genetic algorithms, ODE solvers, and others.

%package -n python3-scipy
Summary:	      Scipy: Scientific Tools for Python
Group:		      Development/Python
License:	      BSD and LGPLv2+
Requires:	      python3-numpy
Requires:       python3-numpy-f2py

%description -n python3-scipy
Scipy is open-source software for mathematics, science, and
engineering. The core library is NumPy which provides convenient and
fast N-dimensional array manipulation. The SciPy library is built to
work with NumPy arrays, and provides many user-friendly and efficient
numerical routines such as routines for numerical integration and
optimization. Together, they run on all popular operating systems, are
quick to install, and are free of charge. NumPy and SciPy are easy to
use, but powerful enough to be depended upon by some of the world's
leading scientists and engineers.

%if %enable_doc
%package doc
Summary:	      Documentation for scipy
Group:		      Development/Python
BuildArch:	noarch

%description doc
This package contains documentation for Scipy
%endif

%prep
%setup -qn %{module}-%{version}
%apply_patches

cat > site.cfg << EOF

[amd]
library_dirs = %{_libdir}
include_dirs = /usr/include/suitesparse
amd_libs = amd

[umfpack]
library_dirs = %{_libdir}
include_dirs = /usr/include/suitesparse
umfpack_libs = umfpack
EOF

%build
export SCIPY_USE_PYTHRAN=0

%if ! %enable_atlas
%define extraflags "-DNO_ATLAS_INFO"
%endif

env CFLAGS="$RPM_OPT_FLAGS -lm" \
    FFLAGS="$RPM_OPT_FLAGS -fPIC -fallow-argument-mismatch" \
    %{__python3} setup.py config_fc \
    --fcompiler=gnu95 --noarch \
    build

%install
export SCIPY_USE_PYTHRAN=0

%py3_install

# Some files got ambiguous python shebangs, we fix them after everything else is done
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitearch}

# Remove doc files that should be in %%doc:
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/*.txt

%if %enable_doc
pushd doc
PYTHONPATH=%{buildroot}%{python2_sitearch}:%{python2_sitearch}:%{python2_sitelib} %__make html
popd
%endif

%if %enable_test
%check
mkdir test
cd test
PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch} %{__python3} -c "import scipy; scipy.test('full')"
%endif


%files -n python3-scipy
%doc LICENSE.txt
%{python3_sitearch}/%{module}/*
%{python3_sitearch}/*.egg-info

%if %enable_doc
%files doc
%doc doc/build/html/*
%endif

%changelog
* Sat Apr 16 2022 TerryN <terryn94 at gmail.com>  1.7.3-1pclos2022
- update and rebuild for python 3.10

* Tue Mar 26 2019 tex - 1.0.1-3pclos2019
- rebuild against updates

* Sun Apr 29 2018 marcin82 <fixxer1982 at gmail.com> 1.0.1-2pclos2018
- rebuild, added BR: cblas-devel

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 1.0.1-1pclos2018
- update

* Tue Sep 12 2017 bb2 <bb2> - 0.17.1-2pclos2017
- rebuild against updates

* Mon Sep 04 2017 bb2 <bb2> - 0.17.1-1pclos2017
- new version
- new gcc
